//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#include "exceptions.h"

DB::Duplicate::Duplicate(const std::string& text):
    std::runtime_error(text)
{}

DB::DuplicateLogin::DuplicateLogin(const std::string& text):
    Duplicate(text)
{}

DB::EmptyResult::EmptyResult(const std::string& text):
    std::runtime_error(text)
{}

DB::NoLogin::NoLogin(const std::string& text):
    EmptyResult(text)
{}

DB::NoSession::NoSession (const std::string& text):
    EmptyResult(text)
{}
