//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <string>
#include <stdexcept>

namespace DB {
class Duplicate : public std::runtime_error {
public:
    explicit Duplicate(const std::string& text);
};

class DuplicateLogin : public Duplicate {
public:
    explicit DuplicateLogin(const std::string& text);
};

class EmptyResult : public std::runtime_error {
public:
    explicit EmptyResult(const std::string& text);
};

class NoLogin : public EmptyResult {
public:
    explicit NoLogin(const std::string& text);
};

class NoSession : public EmptyResult {
public:
    explicit NoSession(const std::string& text);
};
}
