//SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <string>
#include <vector>
#include <any>
#include <cstdint>

#include <nlohmann/json.hpp>

namespace DB {
class Currency {
public:
    Currency ();
    Currency (const std::vector<std::any>& vec);

    void parse (const std::vector<std::any>& vec);
    nlohmann::json toJSON () const;

public:
    uint32_t id;
    std::string code;
    std::string title;
    bool manual;
    // `added` TIMESTAMP DEFAULT UTC_TIMESTAMP(),
    // `type` INTEGER UNSIGNED NOT NULL,
    // `value` DECIMAL (20, 5) NOT NULL,
    // `source` TEXT,
    // `description` TEXT,
    std::string icon;

};
}
