//SPDX-FileCopyrightText: 2023 Yury Gubich <blue@macaw.me>
//SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <memory>

#include "job.h"
#include "server/router.h"
#include "request/request.h"

namespace TM {
class Route : public Job {
public:
    Route(std::shared_ptr<Router> router, std::unique_ptr<Request> request);

    void execute () override;

private:
    std::shared_ptr<Router> router;
    std::unique_ptr<Request> request;
};
}
